<template>
	<div class="d-flex mt-5 mx-10" style="height: 100%">
		<div style="width: 25%; height: 100%">
			<LeftNavigation class="sticky" />
		</div>
		<div style="width: 50%">
			<TopNavigation />
			<Story :stories="stories" />
			<Post />
			<div v-for="(post, index) in stories" :key="index">
				<NewsFeed :name="post.name.first + ' ' + post.name.last" :image-url="post.picture.large" />
			</div>
		</div>
		<div style="width: 25%">
			<RightNavigation class="sticky" />
		</div>
	</div>
</template>

<script>
import TopNavigation from '~/components/TopNavigation';
import LeftNavigation from '../components/LeftNavigation.vue';
import Post from '../components/Post.vue';
import RightNavigation from '../components/RightNavigation.vue';
import Story from '../components/Story.vue';
import NewsFeed from '../components/NewsFeed.vue';

export default {
	components: {
		TopNavigation,
		LeftNavigation,
		RightNavigation,
		Story,
		Post,
		NewsFeed,
	},
	middleware: ['auth'],
	data() {
		return {
			tab: 0,
			stories: [],
		};
	},
	created() {
		this.getStories();
	},
	methods: {
		async getStories() {
			const { data } = await this.$axios.get('https://randomuser.me/api/?results=20');
			this.stories = data.results;
		},
	},
};
</script>
